Package ru.bitel.bgbilling.modules.tv.common.bean

# Class TvChannelSpec

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.AbstractEntity
ru.bitel.oss.kernel.entity.common.bean.Entity
ru.bitel.bgbilling.modules.tv.common.bean.TvChannelSpec

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`, `Node<TvChannelSpec>`, `TreeNode<TvChannelSpec>`

    public class TvChannelSpec
    extends Entity
    implements Node<TvChannelSpec>

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `entitySpecId`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `TvChannelSpec()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.List<TvChannelSpec>` | `getChildren()` |
  `java.lang.String` | `getComment()` |
  `java.util.Date` | `getDateFrom()` |
  `java.util.Date` | `getDateTo()` |
  `java.lang.String` | `getIdentifier()` |
  `int` | `getParentId()` |
  `int` | `getServiceSpecId()` |
  `void` | `setChildren​(java.util.List<TvChannelSpec> children)` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setDateFrom​(java.util.Date dateFrom)` |
  `void` | `setDateTo​(java.util.Date dateTo)` |
  `void` | `setIdentifier​(java.lang.String identifier)` |
  `void` | `setParentId​(int parentId)` |
  `void` | `setServiceSpecId​(int serviceSpecId)` |

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.Entity

  `copyTo, getEntityId, setEntityId`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `copyTo, getEntityAttributes, getEntitySpecId, setEntityAttributes, setEntitySpecId`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### TvChannelSpec

    public TvChannelSpec()

- ## Method Details

  - ### getParentId

    public int getParentId()
    Specified by:
      `getParentId` in interface `Node<TvChannelSpec>`

  - ### setParentId

    public void setParentId​(int parentId)

  - ### getChildren

    public java.util.List<TvChannelSpec> getChildren()
    Specified by:
      `getChildren` in interface `TreeNode<TvChannelSpec>`

  - ### setChildren

    public void setChildren​(java.util.List<TvChannelSpec> children)
    Specified by:
      `setChildren` in interface `Node<TvChannelSpec>`

  - ### getServiceSpecId

    public int getServiceSpecId()

  - ### setServiceSpecId

    public void setServiceSpecId​(int serviceSpecId)

  - ### getDateFrom

    public java.util.Date getDateFrom()

  - ### setDateFrom

    public void setDateFrom​(java.util.Date dateFrom)

  - ### getDateTo

    public java.util.Date getDateTo()

  - ### setDateTo

    public void setDateTo​(java.util.Date dateTo)

  - ### getIdentifier

    public java.lang.String getIdentifier()

  - ### setIdentifier

    public void setIdentifier​(java.lang.String identifier)

  - ### getComment

    public java.lang.String getComment()

  - ### setComment

    public void setComment​(java.lang.String comment)